# This is the script to be run by cron every night.
# The compilation for each creaTools module is processed
# and the results are sent to the CDash database.

# The crontab file should be :
# see file crontab in the current folder

CDASHMOD=$1
CREATOOLSTOOLS=$2
CREATOOLSGENERATIONDIR=$3
NUMCORE=$4

bash $CDASHMOD $CREATOOLSTOOLS $CREATOOLSGENERATIONDIR crea $NUMCORE

bash $CDASHMOD $CREATOOLSTOOLS $CREATOOLSGENERATIONDIR bbtk $NUMCORE

bash $CDASHMOD $CREATOOLSTOOLS $CREATOOLSGENERATIONDIR bbtkGEditor $NUMCORE

bash $CDASHMOD $CREATOOLSTOOLS $CREATOOLSGENERATIONDIR creaBruker $NUMCORE

bash $CDASHMOD $CREATOOLSTOOLS $CREATOOLSGENERATIONDIR creaContours $NUMCORE

bash $CDASHMOD $CREATOOLSTOOLS $CREATOOLSGENERATIONDIR creaEnvironment $NUMCORE

bash $CDASHMOD $CREATOOLSTOOLS $CREATOOLSGENERATIONDIR creaImageIO $NUMCORE

bash $CDASHMOD $CREATOOLSTOOLS $CREATOOLSGENERATIONDIR creaMaracasVisu $NUMCORE

bash $CDASHMOD $CREATOOLSTOOLS $CREATOOLSGENERATIONDIR creaMiniTools $NUMCORE

bash $CDASHMOD $CREATOOLSTOOLS $CREATOOLSGENERATIONDIR creaRigidRegistration $NUMCORE

bash $CDASHMOD $CREATOOLSTOOLS $CREATOOLSGENERATIONDIR creaTools $NUMCORE

