# Makes a clean compilation of creatools using a read-only access to git repositories
# Do not retrieve nor compile nor install the third party libraries

# Cleans previous compilation
rm -rf /home/creatools/Creatis/creaToolsTools_crontabAnonymousAccess
rm -rf /home/creatools/Creatis/CreatoolsGenerationDir_crontabAnonymousAccess

# Retrieves creaToolsTools source code
cd /home/creatools/Creatis/
git clone git://git.creatis.insa-lyon.fr/creaToolsTools creaToolsTools_crontabAnonymousAccess

# Configures the project
cd creaToolsTools_crontabAnonymousAccess/Linux
./installscript -git-read-only -gdir /home/creatools/Creatis/CreatoolsGenerationDir_crontabAnonymousAccess -instprefix3 /home/creatools/Creatis/CreatoolsGenerationDir/thirdparty_install -build Debug config

# Retrieves creatools source code, compiles and install 
./installscript creatools

# to launch make experimental after a make clean : this line is a perfect crontab if we do not want to do update of the git repositories
bash /home/creatools/Creatis/creaToolsTools_crontabAnonymousAccess/Linux/scripts/cdashscript.sh /home/creatools/Creatis/creaToolsTools_crontabAnonymousAccess/Linux/scripts/cdashmod.sh /home/creatools/Creatis/creaToolsTools_crontabAnonymousAccess/ /home/creatools/Creatis/CreatoolsGenerationDir_crontabAnonymousAccess 4

